#!/usr/bin/env python3

#This python code is from: http://numbergazing.org/
#by Gregory Bryant

import sys
from datetime import datetime
from sympy import divisors

print("start\n")
print(str(datetime.now())+"\n")

def newParityGen(a=1,b=100):
	for i in range(a,b+1):
		#print(i,": ",sep='',end='')
		dList=divisors(i)
		if len(dList)%2==1:
			#print("is a square")
			print("*",i,": ",sep='',end='')
			for j in range(0,len(dList)//2):
				print((dList[j]+dList[len(dList)-j-1])%2,end="",sep="")
			print((dList[len(dList)//2]*2)%2,end='',sep='')
			print("")
			#print(" *")
		else:
			print(i,": ",sep='',end='')
			for j in range(0,len(dList)//2):
				print((dList[j]+dList[len(dList)-j-1])%2,end="",sep="")
			print("")
			
if len(sys.argv)>1:
	newParityGen(int(sys.argv[1]),int(sys.argv[2]))
else:
	newParityGen()
			
print()
print()
print(str(datetime.now())+"\n")
print("finish\n")